Create a deal
Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.
POST
/v1/dealsAuthorization
AuthorizationBearer token · headerrequiredWorkspace API key (`bh_…`).
Request body
requiredapplication/jsoncontactIdstringrequiredmin length 1
titlestringrequiredmin length 1 · max length 200
stageIdstringrequiredmin length 1
valuenumber | anyShow propertiesHide properties
Any of:
number
numberany
anyownerIdstring | anyShow propertiesHide properties
Any of:
string
stringany
anyprojectTypeIdsstring[]max items 50
streetstring | anyShow propertiesHide properties
Any of:
string
stringany
anypostalCodestring | anyShow propertiesHide properties
Any of:
string
stringany
anycitystring | anyShow propertiesHide properties
Any of:
string
stringany
anynotesstring | anyShow propertiesHide properties
Any of:
string
stringany
anyResponses
201OK
idstringrequiredcontactIdstringrequiredtitlestringrequiredvaluenumber | anyrequiredShow propertiesHide properties
Any of:
number
numberany
anystageIdstringrequiredstageEnteredAtstring<date-time>requiredstatusstringrequiredAllowed:
openwonlostownerIdstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyprojectTypeIdsstring[]requiredstreetstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anypostalCodestring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anycitystring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anynotesstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyprojectIdstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyclosedAtstring<date-time> | anyrequiredShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anyarchivedAtstring<date-time> | anyrequiredShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anycreatedAtstring<date-time>requiredupdatedAtstring<date-time>requiredRequest
curl -X POST "https://app.bauhow.com/api/v1/deals" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"contactId": "string",
"title": "string",
"stageId": "string",
"value": 0,
"ownerId": "string",
"projectTypeIds": [
"string"
],
"street": "string",
"postalCode": "string",
"city": "string",
"notes": "string"
}'const response = await fetch("https://app.bauhow.com/api/v1/deals", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"contactId": "string",
"title": "string",
"stageId": "string",
"value": 0,
"ownerId": "string",
"projectTypeIds": [
"string"
],
"street": "string",
"postalCode": "string",
"city": "string",
"notes": "string"
})
});import requests
response = requests.post(
"https://app.bauhow.com/api/v1/deals",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"contactId": "string",
"title": "string",
"stageId": "string",
"value": 0,
"ownerId": "string",
"projectTypeIds": [
"string"
],
"street": "string",
"postalCode": "string",
"city": "string",
"notes": "string"
},
)Response
{
"id": "string",
"contactId": "string",
"title": "string",
"value": 0,
"stageId": "string",
"stageEnteredAt": "2024-01-01T00:00:00Z",
"status": "open",
"ownerId": "string",
"projectTypeIds": [
"string"
],
"street": "string",
"postalCode": "string",
"city": "string",
"notes": "string",
"projectId": "string",
"closedAt": "2024-01-01T00:00:00Z",
"archivedAt": "2024-01-01T00:00:00Z",
"createdAt": "2024-01-01T00:00:00Z",
"updatedAt": "2024-01-01T00:00:00Z"
}